/*
 * #© Copyright 2019 - Micro Focus or one of its affiliates
 * #
 * # The only warranties for products and services of Micro Focus and its affiliates and licensors (“Micro Focus”)
 * # are as may be set forth in the express warranty statements accompanying such products and services.
 * # Nothing herein should be construed as constituting an additional warranty.
 * # Micro Focus shall not be liable for technical or editorial errors or omissions contained herein.
 * # The information contained herein is subject to change without notice.
 *
 */

'use strict';

var misc = require('./misc.js'),
  dbgTrace = misc.dbgTrace('svcMeasurement');

exports = module.exports = function (opts, name) {
  return {
    add: function(value) {
      dbgTrace('measurement (%s) add: %d', name, value);
      opts.dpSvc.add(name, value);
    },
    flush: function() {
      dbgTrace('measurement (%s) flush', name);
    }
  };
};

