/* Test name:    <%= testName %>
 * Script name:  <%= testScript %>
 */
'use strict';

exports = module.exports = function (vuser) {
  var vuserId;
 
  /* prepare test data */
  vuserId = vuser.getVUserId();

  /* init action */
  vuser.init('Vuser init action', function (svc, done) {
    svc.logger.info('Vuser %s init', vuserId);
    done();
  });

  /* main action */
  vuser.action('Vuser main action', function (svc, done) {
    svc.logger.info('Vuser %s running', vuserId);
    done();
  });

  /* end action */
  vuser.end('Vuser end action', function (svc, done) {
    svc.logger.info('Vuser %s end', vuserId);
    done();
  });
};

